########################################################################
#
#	NpSetLinkedFile.pl
#
#	y֐z
#	instance				
#	blog_config_template	vOCݒ
#
#	yz
#	Ver	1.00	2010.05.17	vx TY	VK쐬
#
#	Copyright (C) 2010 Shitaro Kubuki. All Rights Reserved
#
package MT::Plugin::NpSetLinkedFile;

use strict;
use MT;
use MT::Plugin;
use base qw( MT::Plugin );
use vars qw($PLUGIN_NAME $VERSION);
$PLUGIN_NAME = 'NAWAGATE plugin Click Pong LinkedFile';
$VERSION = '1.00';

my $plugin = MT::Plugin::NpSetLinkedFile->new({
    id => 'npsetlinkedfile',
    key => __PACKAGE__,
    name => $PLUGIN_NAME,
    version => $VERSION,
    description => "<__trans phrase='All \"Linked file\" of template is set at once.<br />Path of generated file is \"path\" + filename(generated file) + \"file extension\".'>",
    author_name => "<__trans phrase='Shintaro Kubuki'>",
    author_link => 'http://nawagate.com/',
    doc_link => 'http://appstream.jp/set-linked-file/index.html',
    blog_config_template => \&blog_config_template,
    settings => new MT::PluginSettings([
        ['np_path', { Default => 'template', Scope => 'blog' }],
        ['np_extension', { Default => 'mtml', Scope => 'blog' }],
    ]),
    l10n_class => 'NpSetLinkedFile::L10N',
    registry => {
		applications => {
			cms => {
				methods =>
				{
					np_set_template_all_linked_file_all_set => '$NpSetLinkedFile::NpSetLinkedFile::CMS::all_set',
				},
			},
		},
    },
});

MT->add_plugin($plugin);

sub instance { $plugin; }

########################################################################
#
#	y֐z
#	blog_config_template	vOCݒ
#
#	y@\z
#	
#
#	yz
#	Ver	1.00	2010.05.17	vx TY	VK쐬
#
sub blog_config_template {
    my $url = MT->instance->uri;
    my $blog_id = MT->instance->blog->id;

    my $tmpl = <<HTML;
	<p><__trans phrase='All "Linked file" of template is set at once.<br />Path of generated file is "path" + filename(generated file) + "file extension".'><br />
	<__trans phrase='Ex)template/identifier.mtml'></p>
	<mtapp:setting
		id="np_path"
		label="<__trans phrase='Path'>"
		hint="<__trans phrase='Path of generated file'>"
		show_hint="1">
		<input type="text" name="np_path" id="np_path" value="<mt:var name="np_path" escape="html">" size="40" />
	</mtapp:setting>
	<mtapp:setting
		id="np_extension"
		label="<__trans phrase='file extension'>"
		hint="<__trans phrase='file extension of the generated file'>"
		show_hint="1">
		<input class="smaller-text" type="text" name="np_extension" id="np_extension" value="<mt:var name="np_extension" escape="html">" size="5" />
	</mtapp:setting>
	<mtapp:setting
		id="np_trigger"
		label=""
		hint=""
		show_hint="0">
		<div class="actions-bar settings-actions-bar">
			<div class="actions">
				<button mt:mode="np_set_template_all_linked_file_all_set" type="submit" class="action primary-button"><__trans phrase='Set all "Linked file"'></button>
			</div>
		</div>
	</mtapp:setting>
HTML
    return $tmpl;
}

	1;
